summaryrefslogtreecommitdiffstats
path: root/graphics/gallery/gallery.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/gallery/gallery.SlackBuild')
-rw-r--r--graphics/gallery/gallery.SlackBuild94
1 files changed, 94 insertions, 0 deletions
diff --git a/graphics/gallery/gallery.SlackBuild b/graphics/gallery/gallery.SlackBuild
new file mode 100644
index 0000000000..76e618f0a1
--- /dev/null
+++ b/graphics/gallery/gallery.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware Package Build Script for gallery3
+# Home Page http://galleryproject.org
+
+# Copyright (c) 2009-2013, Nishant Limbachia, Hoffman Estates, IL, USA
+# (nishant _AT_ mnspace _DOT_ net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="gallery"
+VERSION=${VERSION:-3.0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch # hardcode ARCH
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+### set the document root
+DOCROOT=${DOCROOT:-/var/www/htdocs}
+
+# define BASEDIR, default is gallery.
+# this actually controls your url, default will create following url
+# www.example.com/gallery/
+BASEDIR=${BASEDIR:-gallery}
+
+### define web user and group
+WEBUSER=${WEBUSER:-root}
+WEBGROUP=${WEBGROUP:-apache}
+
+rm -fr $TMP/$PRGNAM $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+unzip $CWD/$PRGNAM-$VERSION.zip
+mv gallery3 $PRGNAM
+chown -R root:root $PRGNAM
+find $PRGNAM \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 -o -perm 755 \) \
+ -exec chmod 750 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 -o -perm 644 \) \
+ -exec chmod 640 {} \;
+
+mkdir -p $PKG/$DOCROOT
+cp -a $PRGNAM $PKG/$DOCROOT/$BASEDIR
+
+# move important files to .new
+mv $PKG/$DOCROOT/$BASEDIR/.htaccess $PKG/$DOCROOT/$BASEDIR/.htaccess.new
+mv $PKG/$DOCROOT/$BASEDIR/index.php $PKG/$DOCROOT/$BASEDIR/index.php.new
+mv $PKG/$DOCROOT/$BASEDIR/php.ini $PKG/$DOCROOT/$BASEDIR/php.ini.new
+mv $PKG/$DOCROOT/$BASEDIR/robots.txt $PKG/$DOCROOT/$BASEDIR/robots.txt.new
+
+# install docs
+install -m 0644 -D $TMP/$PRGNAM/README $PKG/usr/doc/$PRGNAM-$VERSION/README
+install -m 0644 -D $TMP/$PRGNAM/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+install -m 0644 -D $CWD/README-ONLINE $PKG/usr/doc/$PRGNAM-$VERSION/README-ONLINE
+
+# Change ownership and perms
+chown -R $WEBUSER:$WEBGROUP $PKG/$DOCROOT/$BASEDIR
+chmod 0750 $PKG/$DOCROOT/$BASEDIR
+
+GALLERY_INSTALL="$DOCROOT/$BASEDIR"
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+sed -i "s|@GALLERY_INSTALL@|$(echo ${GALLERY_INSTALL} | sed s:/::)|g" $PKG/install/doinst.sh
+sed -i "s|@WEBUSER@|${WEBUSER}|" $PKG/install/doinst.sh
+sed -i "s|@WEBGROUP@|${WEBGROUP}|" $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}